/* 
* author: Yu Guanghui <ygh@rose.dlut.edu.cn>
*	  Network Center
* 	  Dalian Univ. of Tech.	
*	  $Header: /home/ygh/.cvsroot/autoconvert/lib.c,v 1.1.1.1 1999/05/29 03:50:45 ygh Exp $
*/

#include <stdio.h>

#define  HZ_CODE   0x1
#define  BIG5_CODE 0x2
#define  GB_CODE   0x3
#define  UNKNOW	   0x5


int j_code(char * buff,int count)
{
	unsigned char * phz;
	int c_gb=0;
	int c_big5=0;

	char HZ[]="~{";


	if(strstr(buff,HZ)!=NULL){
		return HZ_CODE;
	}

	for(phz=buff;phz<(buff+count);phz++){
		if(*phz & 0x80){
			if((*phz==0xB5&&*(phz+1)==0xC4) || ((*phz==0xCE)&&*(phz+1)==0xD2)){
				c_gb++;
				phz++;
				continue;
			}else if((*phz==0xAA&&*(phz+1)==0xBA)|| ((*phz==0xA7)&&*(phz+1)==0xDA)){
				c_big5++;
				phz++;
				continue;
			}
			phz++;
		}
	}


	if(c_gb > c_big5){
		return GB_CODE;
	}else if (c_gb  == c_big5){
		return UNKNOW;
	}else{
		return BIG5_CODE;
	}
}

